summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2017-12-30 06:56:29 -0500
committerAnthony G. Basile <blueness@gentoo.org>2018-01-01 05:13:36 -0500
commit63b0d66c654dce7e4a75776357cac44379eba802 (patch)
treeada005f79a1dc2c78bb1808152618448c1e946e9 /sys-devel/kgcc64
parentxfce-extra/xfce4-weather-plugin: Depend on net-libs/libsoup[ssl] (diff)
downloadgentoo-63b0d66c654dce7e4a75776357cac44379eba802.tar.gz
gentoo-63b0d66c654dce7e4a75776357cac44379eba802.tar.bz2
gentoo-63b0d66c654dce7e4a75776357cac44379eba802.zip
toolchain.eclass: update to EAPI=5 standards
This eclass is inherited by ebuilds in sys-devel/{gcc,kgcc64,gcc-apple}, each which make use of different IUSE flags. This causes problems with `use X` constructions when X is not in the IUSE flags. At EAPI=4 this simply emitted a warning, while at EAPI=5 this is an error. We update the eclass to make use of use_if_iuse and similar constructions where necessary to bring the eclass into compliance with EAPI=5. Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'sys-devel/kgcc64')
0 files changed, 0 insertions, 0 deletions